import { Card, NodeInterface, CardType } from '@aomao/engine';
import { CollapseGroupProps } from '../../collapse/group';
import { CollapseItemProps } from '../../collapse/item';
import './index.css';
export declare type Data = Array<CollapseGroupProps>;
declare class ToolbarComponent extends Card {
    private keyword?;
    private placeholder?;
    private data;
    private component?;
    static get cardName(): string;
    static get cardType(): CardType;
    static get singleSelectable(): boolean;
    init(): void;
    /**
     * 查询
     * @param keyword 关键字
     * @returns
     */
    search(keyword: string): {
        title: string;
        items: Pick<CollapseItemProps, "name" | "icon" | "title" | "placement" | "command" | "autoExecute" | "className" | "onClick" | "onMouseDown" | "search" | "description" | "prompt">[];
    }[];
    remove(): void;
    changeToText(): void;
    destroy(): void;
    activate(activated: boolean): void;
    handleInput(): void;
    resetPlaceHolder(): void;
    render(): string | void | NodeInterface;
}
export default ToolbarComponent;
